imports:
    - { resource: form.yaml }
    - { resource: listener.yaml }
    - { resource: twig.yaml }

services:
    SmartFileUploadBundle\Downloader\FileDownloader:
        public: true
        arguments:
            - '@stof_doctrine_extensions.uploadable.manager'
            - '%smart_fileupload.model.file.class%'

    smart_fileupload.file_downloader:
        public: true
        alias: SmartFileUploadBundle\Downloader\FileDownloader

    SmartFileUploadBundle\Model\FileUploadManager:
        public: true
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@form.factory'
            - '@smart_fileupload.image_manager'
            - '@assets.packages'
            - '@translator'
            - '@request_stack'

    smart_fileupload.file_upload_manager:
        public: true
        alias: SmartFileUploadBundle\Model\FileUploadManager

    SmartFileUploadBundle\Controller\:
        public: true
        autowire: true
        autoconfigure: true
        resource: '../../Controller'
        tags:
            - { name: controller.service_arguments }
